# Method: projects.locations.imageVersions.list

- [HTTP request](https://docs.cloud.google.com/composer/docs/reference/rest/v1/projects.locations.imageVersions/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/composer/docs/reference/rest/v1/projects.locations.imageVersions/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/composer/docs/reference/rest/v1/projects.locations.imageVersions/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/composer/docs/reference/rest/v1/projects.locations.imageVersions/list#body.request_body)
- [Response body](https://docs.cloud.google.com/composer/docs/reference/rest/v1/projects.locations.imageVersions/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/composer/docs/reference/rest/v1/projects.locations.imageVersions/list#body.ListImageVersionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/composer/docs/reference/rest/v1/projects.locations.imageVersions/list#body.aspect)
- [ImageVersion](https://docs.cloud.google.com/composer/docs/reference/rest/v1/projects.locations.imageVersions/list#ImageVersion)
  - [JSON representation](https://docs.cloud.google.com/composer/docs/reference/rest/v1/projects.locations.imageVersions/list#ImageVersion.SCHEMA_REPRESENTATION)
- [Try it!](https://docs.cloud.google.com/composer/docs/reference/rest/v1/projects.locations.imageVersions/list#try-it)

List ImageVersions for provided location.

### HTTP request

`GET https://composer.googleapis.com/v1/{parent=projects/*/locations/*}/imageVersions`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` List ImageVersions in the given project and location, in the form: "projects/{projectId}/locations/{locationId}" Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `composer.imageversions.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of imageVersions to return. |
| `pageToken` | `string` The nextPageToken value returned from a previous List request, if any. |
| `includePastReleases` | `boolean` Whether or not image versions from old releases should be included. |

### Request body

The request body must be empty.

### Response body

The ImageVersions in a project and location.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "imageVersions": [ { object (`https://docs.cloud.google.com/composer/docs/reference/rest/v1/projects.locations.imageVersions/list#ImageVersion`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `imageVersions[]` | ``object (`https://docs.cloud.google.com/composer/docs/reference/rest/v1/projects.locations.imageVersions/list#ImageVersion`)`` The list of supported ImageVersions in a location. |
| `nextPageToken` | `string` The page token used to query for the next page if one exists. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloudcomposer.readonly`
- `
  https://www.googleapis.com/auth/cloudcomposer`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

## ImageVersion

ImageVersion information

| JSON representation |
|---|
| ``` { "imageVersionId": string, "isDefault": boolean, "supportedPythonVersions": [ string ], "releaseDate": { object (`https://docs.cloud.google.com/composer/docs/reference/rest/Shared.Types/Date`) }, "creationDisabled": boolean, "upgradeDisabled": boolean } ``` |

| Fields ||
|---|---|
| `imageVersionId` | `string` The string identifier of the ImageVersion, in the form: "composer-x.y.z-airflow-a.b.c" |
| `isDefault` | `boolean` Whether this is the default ImageVersion used by Composer during environment creation if no input ImageVersion is specified. |
| `supportedPythonVersions[]` | `string` supported python versions |
| `releaseDate` | ``object (`https://docs.cloud.google.com/composer/docs/reference/rest/Shared.Types/Date`)`` The date of the version release. |
| `creationDisabled` | `boolean` Whether it is impossible to create an environment with the image version. |
| `upgradeDisabled` | `boolean` Whether it is impossible to upgrade an environment running with the image version. |